function PD = LogViewer(parameters, CreateDefaultFlag, app)

if nargin < 2
    CreateDefaultFlag = 0;
end

if CreateDefaultFlag

    Variable    ={'LogFilepressflag'; 'pr'};                % name of each variable used for this scruture
    Description ={'Use LogViewer file pressure flag';'Pressure'};  % description of each variable
    Value       ={1;60};                                % default values
    Unit        ={'logical';'mbar'};                    % units of each variable

    Variable{end+1}='script'; Description{end+1}='Script'; Value{end+1}={mfilename}; Unit{end+1}='-'; %add script name to parameters for script memory management in the VCG
    ParametersTable=table(Value,Description,Unit,'RowNames',Variable);  % build the default parameters table
    save([app.parameters_path], 'ParametersTable');                     % save the default parameters table to disk
    PD = [];% return empty PD
else

    % Get the variable values from the parameters table:

    [nR,nC]=size(parameters);
    for k=1:nR
        temp=parameters{(parameters.Row{k}),'Value'};
        obj.(parameters.Row{k})=temp{:};
        temp=[];
    end

    PD=MakeLogViewerObject(app,obj); % call the function building the structure's voxels cloud

end
end

function PD=MakeLogViewerObject(app,obj)

PD=app.LogViewerPrintFile;

if ~obj.LogFilepressflag % overwrite pressure with parameter value if flag is 0
    PD.pr = obj.pr*ones(length(PD.z),1);
end
if ~isfield(PD,'pr') % if no pressure column in the printfile
    PD.pr = obj.pr*ones(length(PD.z),1);
end

end